---
title: "kf unbind-service"
weight: 100
description: "Revoke an App's access to a service instance."
---
### Name

<code translate="no">kf unbind-service</code> - Revoke an App's access to a service instance.

### Synopsis

<pre translate="no">kf unbind-service APP_NAME SERVICE_INSTANCE [flags]</pre>

### Description

Unbind removes an App's access to a service instance.

This will delete the credential from the service broker that created the
instance and update the VCAP_SERVICES environment variable for the
App to remove the reference to the instance.


### Examples

<pre translate="no">
kf unbind-service myapp my-instance</pre>

### Flags

<dl>
<dt><code translate="no">--async</code></dt>
<dd><p>Do not wait for the action to complete on the server before returning.</p>
</dd>
<dt><code translate="no">-h, --help</code></dt>
<dd><p>help for unbind-service</p>
</dd>
</dl>


### Inherited flags

These flags are inherited from parent commands.

<dl>
<dt><code translate="no">--as=<var translate="no">string</var></code></dt>
<dd><p>Username to impersonate for the operation.</p>
</dd>
<dt><code translate="no">--as-group=<var translate="no">strings</var></code></dt>
<dd><p>Group to impersonate for the operation. Include this flag multiple times to specify multiple groups.</p>
</dd>
<dt><code translate="no">--config=<var translate="no">string</var></code></dt>
<dd><p>Path to the Kf config file to use for CLI requests.</p>
</dd>
<dt><code translate="no">--kubeconfig=<var translate="no">string</var></code></dt>
<dd><p>Path to the kubeconfig file to use for CLI requests.</p>
</dd>
<dt><code translate="no">--log-http</code></dt>
<dd><p>Log HTTP requests to standard error.</p>
</dd>
<dt><code translate="no">--space=<var translate="no">string</var></code></dt>
<dd><p>Space to run the command against. This flag overrides the currently targeted Space.</p>
</dd>
</dl>


