// Copyright 2020 Google LLC
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     https://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

// Code generated by client-gen. DO NOT EDIT.

package fake

import (
	v1alpha1 "github.com/google/kf/v2/pkg/client/kf/clientset/versioned/typed/kf/v1alpha1"
	rest "k8s.io/client-go/rest"
	testing "k8s.io/client-go/testing"
)

type FakeKfV1alpha1 struct {
	*testing.Fake
}

func (c *FakeKfV1alpha1) Apps(namespace string) v1alpha1.AppInterface {
	return &FakeApps{c, namespace}
}

func (c *FakeKfV1alpha1) Builds(namespace string) v1alpha1.BuildInterface {
	return &FakeBuilds{c, namespace}
}

func (c *FakeKfV1alpha1) ClusterServiceBrokers() v1alpha1.ClusterServiceBrokerInterface {
	return &FakeClusterServiceBrokers{c}
}

func (c *FakeKfV1alpha1) Routes(namespace string) v1alpha1.RouteInterface {
	return &FakeRoutes{c, namespace}
}

func (c *FakeKfV1alpha1) Scales(namespace string) v1alpha1.ScaleInterface {
	return &FakeScales{c, namespace}
}

func (c *FakeKfV1alpha1) ServiceBrokers(namespace string) v1alpha1.ServiceBrokerInterface {
	return &FakeServiceBrokers{c, namespace}
}

func (c *FakeKfV1alpha1) ServiceInstances(namespace string) v1alpha1.ServiceInstanceInterface {
	return &FakeServiceInstances{c, namespace}
}

func (c *FakeKfV1alpha1) ServiceInstanceBindings(namespace string) v1alpha1.ServiceInstanceBindingInterface {
	return &FakeServiceInstanceBindings{c, namespace}
}

func (c *FakeKfV1alpha1) SourcePackages(namespace string) v1alpha1.SourcePackageInterface {
	return &FakeSourcePackages{c, namespace}
}

func (c *FakeKfV1alpha1) Spaces() v1alpha1.SpaceInterface {
	return &FakeSpaces{c}
}

func (c *FakeKfV1alpha1) Tasks(namespace string) v1alpha1.TaskInterface {
	return &FakeTasks{c, namespace}
}

func (c *FakeKfV1alpha1) TaskSchedules(namespace string) v1alpha1.TaskScheduleInterface {
	return &FakeTaskSchedules{c, namespace}
}

// RESTClient returns a RESTClient that is used to communicate
// with API server by this client implementation.
func (c *FakeKfV1alpha1) RESTClient() rest.Interface {
	var ret *rest.RESTClient
	return ret
}
