// Copyright 2020 Google LLC
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     https://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

// Code generated by lister-gen. DO NOT EDIT.

package v1alpha1

import (
	v1alpha1 "github.com/google/kf/v2/pkg/apis/kf/v1alpha1"
	"k8s.io/apimachinery/pkg/api/errors"
	"k8s.io/apimachinery/pkg/labels"
	"k8s.io/client-go/tools/cache"
)

// ClusterServiceBrokerLister helps list ClusterServiceBrokers.
// All objects returned here must be treated as read-only.
type ClusterServiceBrokerLister interface {
	// List lists all ClusterServiceBrokers in the indexer.
	// Objects returned here must be treated as read-only.
	List(selector labels.Selector) (ret []*v1alpha1.ClusterServiceBroker, err error)
	// Get retrieves the ClusterServiceBroker from the index for a given name.
	// Objects returned here must be treated as read-only.
	Get(name string) (*v1alpha1.ClusterServiceBroker, error)
	ClusterServiceBrokerListerExpansion
}

// clusterServiceBrokerLister implements the ClusterServiceBrokerLister interface.
type clusterServiceBrokerLister struct {
	indexer cache.Indexer
}

// NewClusterServiceBrokerLister returns a new ClusterServiceBrokerLister.
func NewClusterServiceBrokerLister(indexer cache.Indexer) ClusterServiceBrokerLister {
	return &clusterServiceBrokerLister{indexer: indexer}
}

// List lists all ClusterServiceBrokers in the indexer.
func (s *clusterServiceBrokerLister) List(selector labels.Selector) (ret []*v1alpha1.ClusterServiceBroker, err error) {
	err = cache.ListAll(s.indexer, selector, func(m interface{}) {
		ret = append(ret, m.(*v1alpha1.ClusterServiceBroker))
	})
	return ret, err
}

// Get retrieves the ClusterServiceBroker from the index for a given name.
func (s *clusterServiceBrokerLister) Get(name string) (*v1alpha1.ClusterServiceBroker, error) {
	obj, exists, err := s.indexer.GetByKey(name)
	if err != nil {
		return nil, err
	}
	if !exists {
		return nil, errors.NewNotFound(v1alpha1.Resource("clusterservicebroker"), name)
	}
	return obj.(*v1alpha1.ClusterServiceBroker), nil
}
